Bug 1031263 - authconfig symlinks password-auth to password-auth-ac, which collides with pam
authconfig symlinks password-auth to password-auth-ac, which collides with pam
Product: Fedora
Classification: Fedora
Component: authconfig (Show other bugs)
Unspecified Unspecified
unspecified Severity low
: ---
: ---
Assigned To: Tomas Mraz
Fedora Extras Quality Assurance
: Reopened
Depends On:
  Show dependency treegraph
Reported: 2013-11-16 04:34 EST by Ambarish Sridharanarayanan
Modified: 2013-12-30 03:54 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2013-12-30 03:54:08 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Ambarish Sridharanarayanan 2013-11-16 04:34:09 EST
Description of problem:

authconfig creates /etc/pam.d/password-auth-ac and symlinks /etc/pam.d/password-auth to it. Unfortunately, the latter file is owned by pam, so if a newer pam updates /etc/pam.d/password-auth, it collides with the symlink, and ends up creating /etc/pam.d/password-auth.rpmnew.

Version-Release number of selected component (if applicable):

How reproducible:
No idea, to be honest. I found an rpmnew file, and worked backwards to figure out what could have gone wrong.
Comment 1 Tomas Mraz 2013-11-18 03:27:06 EST
This is not a bug. It works as it is expected.
Comment 2 Adam Williamson 2013-12-04 12:38:49 EST
Compare and contrast: https://bugzilla.redhat.com/show_bug.cgi?id=194246 ... :)
Comment 3 Ambarish Sridharanarayanan 2013-12-29 20:39:28 EST
I disagree that this is expected. Certainly, users would find it unexpected.

a. What is a user supposed to do anyway, when they see this? Just delete the rpmnew files?
b. Aren't we losing information? What if the rpmnew file contained an update? Right now, the 2 packages are just fighting with one another, and I don't see how that can ever be The Right Thing.
Comment 4 Tomas Mraz 2013-12-30 03:54:08 EST
I just don't see any way how to workaround this. The configuration in pam package is a default one. The configuration from authconfig is user configured.

Note You need to log in before you can comment on or make changes to this bug.